> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create product



## OpenAPI

````yaml post /{shopId}/products
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/products:
    post:
      tags:
        - Products
      summary: Create product
      description: Create product
      operationId: createProduct
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                attributes:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: object
                        properties:
                          _id:
                            type: string
                            example: 620230e20d148855678615ce
                          name:
                            type: string
                            example: Colorer
                      options:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              example: Colorer
                            name:
                              type: string
                              example: Space grey test-1
                        example:
                          - label: Colorer
                            name: Space grey test-1
                          - label: Colorer
                            name: Black test-1
                  example:
                    - name:
                        _id: 620230e20d148855678615ce
                        name: Colorer
                      options:
                        - label: Colorer
                          name: Space grey test-1
                        - label: Colorer
                          name: Black test-1
                brand:
                  type: string
                  example: Toyota
                costPrice:
                  nullable: true
                  example: null
                dimension:
                  type: object
                  properties:
                    height:
                      type: number
                      example: 7
                    length:
                      type: number
                      example: 30
                    unit:
                      type: string
                      example: m
                    width:
                      type: number
                      example: 50
                name:
                  type: string
                  example: Toyota corolla
                price:
                  type: number
                  example: 5000000
                tags:
                  type: array
                  items:
                    type: string
                    example: Cars
                  example:
                    - Cars
                type:
                  type: string
                  example: physical
                variants:
                  type: array
                  items:
                    type: object
                    properties:
                      costPrice:
                        type: number
                        nullable: true
                        example: 2900000
                      isActive:
                        type: boolean
                        example: false
                      options:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              example: Colorer
                            name:
                              type: string
                              example: Space grey test-1
                        example:
                          - label: Colorer
                            name: Space grey test-1
                      price:
                        type: number
                        example: 3100000
                      stock:
                        type: number
                        example: 5
                      weight:
                        type: object
                        properties:
                          unit:
                            type: string
                            example: kg
                          value:
                            type: number
                            example: 20000
                  example:
                    - costPrice: 2900000
                      isActive: false
                      options:
                        - label: Colorer
                          name: Space grey test-1
                      price: 3100000
                      stock: 5
                      weight:
                        unit: kg
                        value: 20000
                    - costPrice: null
                      isActive: true
                      options:
                        - label: Colorer
                          name: Black test-1
                      price: 3000000
                      stock: 5
                      weight:
                        unit: kg
                        value: 20000
                variantsInheritPrice:
                  type: boolean
                  example: false
                weight:
                  type: object
                  properties:
                    unit:
                      type: string
                      example: kg
                    value:
                      type: number
                      example: 20000
            example:
              attributes:
                - name:
                    _id: 620230e20d148855678615ce
                    name: Colorer
                  options:
                    - label: Colorer
                      name: Space grey test-1
                    - label: Colorer
                      name: Black test-1
              brand: Toyota
              costPrice: null
              dimension:
                height: 7
                length: 30
                unit: m
                width: 50
              name: Toyota corolla
              price: 5000000
              tags:
                - Cars
              type: physical
              variants:
                - costPrice: 2900000
                  isActive: false
                  options:
                    - label: Colorer
                      name: Space grey test-1
                  price: 3100000
                  stock: 5
                  weight:
                    unit: kg
                    value: 20000
                - costPrice: null
                  isActive: true
                  options:
                    - label: Colorer
                      name: Black test-1
                  price: 3000000
                  stock: 5
                  weight:
                    unit: kg
                    value: 20000
              variantsInheritPrice: false
              weight:
                unit: kg
                value: 20000
      responses:
        '200':
          description: ''

````